# Generated by Django 2.2.1 on 2019-09-06 10:02

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0004_auto_20190906_0849'),
    ]

    operations = [
        migrations.RemoveConstraint(
            model_name='user',
            name='user_email_not_null',
        ),
        migrations.AddConstraint(
            model_name='user',
            constraint=models.CheckConstraint(check=models.Q(models.Q(('email__isnull', True), ('fictional', True)), models.Q(('email__isnull', False), ('fictional', False)), _connector='OR'), name='user_email_not_null'),
        ),
        migrations.AddConstraint(
            model_name='user',
            constraint=models.CheckConstraint(check=models.Q(models.Q(('fictional', True), ('first_name__isnull', False), models.Q(_negated=True, first_name__exact='')), ('fictional', False), _connector='OR'), name='first_name_not_null_when_fictional'),
        ),
    ]
